<template>
  <v-select
    :readonly="readonly"
    :label="label"
    :items="industries"
    item-value="id"
    item-text="name"
    v-model="selectedValue"
  />
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../plugins/api'
import { Component, Prop } from 'vue-property-decorator'
@Component({
  components: {},
})
export default class IndustrySelect extends Vue {
  @Prop({ required: true }) value
  @Prop({ type: Boolean, default: false }) readonly
  @Prop({ type: String, default: 'Industria' }) label

  industries = []
  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  mounted() {
    this.fetchIndustries()
  }
  fetchIndustries() {
    api()
      .get('api/crm/industry-types')
      .then(response => {
        this.industries = response.data.data
      })
  }
}
</script>
